Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.metadata.framework
Class FrameworkSetting

    java.lang.Object
      com.endeca.portal.metadata.AbstractMetadata
          com.endeca.portal.metadata.MetadataObject
              com.endeca.portal.metadata.framework.FrameworkSetting

All Implemented Interfaces:
  Metadata

    public class FrameworkSetting

extends MetadataObject

Specialization of Metadata Object to represent a Discovery Framework Core setting

Author:
  Endeca Technologies, Inc.

Constructor Summary
`FrameworkSetting()` Constructor: initializes the object with an ID of -1
`FrameworkSetting(com.endeca.portal.liferay.ext.metadata.model.MetadataRecord record)` Constructor that initializes the object from a MetadataRecord.
`FrameworkSetting(java.lang.String key, java.lang.String value, java.lang.String description)` Convenience constructor that initializes the object and sets a key, value, and description

Method Summary
`java.lang.String` | `getType()` Returns "Discovery Framework Core"
`java.lang.String` | `toString()`

Methods inherited from class com.endeca.portal.metadata.MetadataObject
`addProperties, addProperty, equals, getProperties, getProperties, getSourceRecord, init, removeAllProperties, removeProperties, removeProperties, removeProperty, setSourceRecord`

Methods inherited from class com.endeca.portal.metadata.AbstractMetadata
`getDescription, getFeature, getKey, getLastUpdated, getLocale, getObjectId, getRel, getSource, getValue, setDescription, setFeature, setKey, setLastUpdated, setLocale, setObjectId, setRel, setSource, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrameworkSetting

    public FrameworkSetting()

  Constructor: initializes the object with an ID of -1

### FrameworkSetting

    public FrameworkSetting(com.endeca.portal.liferay.ext.metadata.model.MetadataRecord record)

  Constructor that initializes the object from a MetadataRecord. The underlying object is not persisted to the database; that must be done explicitly if you want it to be persisted.

  Parameters:
    `record` - the source MetadataRecord

### FrameworkSetting

    public FrameworkSetting(java.lang.String key,
                            java.lang.String value,
                            java.lang.String description)

  Convenience constructor that initializes the object and sets a key, value, and description

  Parameters:
    `key` - the key
    `value` - the value
    `description` - the description

Method Detail

### getType

    public java.lang.String getType()

  Returns "Discovery Framework Core"

  Specified by:
    `getType` in interface `Metadata`
  Specified by:
    `getType` in class `MetadataObject`
  Returns:
    the type of metadata this object represents
  See Also:
    `Metadata.getType()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractMetadata`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD